Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Dlartg

    java.lang.Object
      org.netlib.lapack.Dlartg

    public class Dlartg

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DLARTG generate a plane rotation so that
     *
     *     [  CS  SN  ]  .  [ F ]  =  [ R ]   where CS**2 + SN**2 = 1.
     *     [ -SN  CS  ]     [ G ]     [ 0 ]
     *
     *  This is a slower, more accurate version of the BLAS1 routine DROTG,
     *  with the following other differences:
     *     F and G are unchanged on return.
     *     If G=0, then CS=1 and SN=0.
     *     If F=0 and (G .ne. 0), then CS=0 and SN=1 without doing any
     *        floating point operations (saves work in DBDSQR when
     *        there are zeros on the diagonal).
     *
     *  If F exceeds G in magnitude, CS will be positive.
     *
     *  Arguments
     *  =========
     *
     *  F       (input) DOUBLE PRECISION
     *          The first component of vector to be rotated.
     *
     *  G       (input) DOUBLE PRECISION
     *          The second component of vector to be rotated.
     *
     *  CS      (output) DOUBLE PRECISION
     *          The cosine of the rotation.
     *
     *  SN      (output) DOUBLE PRECISION
     *          The sine of the rotation.
     *
     *  R       (output) DOUBLE PRECISION
     *          The nonzero component of the rotated vector.
     *
     *  This version has a few statements commented out for thread safety
     *  (machine parameters are computed on each entry). 10 feb 03, SJH.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`Dlartg()`

Method Summary
`static void` | `dlartg(double f, double g, doubleW cs, doubleW sn, doubleW r)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dlartg

    public Dlartg()

Method Detail

### dlartg

    public static void dlartg(double f,
                              double g,
                              doubleW cs,
                              doubleW sn,
                              doubleW r)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD